unit Tip;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Bevel1: TBevel;
    Button2: TButton;
    Button1: TButton;
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
   private
    rzeczownik : TStringList;
    przymiotnik : TStringList;
    czasownik : TStringList;
    okreslnik : TStringList;
    function Fraza : String;
    function Losuj(sl : TStringList) : String;
   public
    function NowaPorada : String;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

function TForm1.Losuj(sl : TStringList) : String;
begin
  Result := sl.Strings[Random(sl.Count)];
end;

function TForm1.Fraza : String;
begin
  Result := Losuj(rzeczownik) + ' '+ Losuj(przymiotnik)
            + ' ' + Losuj(okreslnik) + ' ' + Losuj(czasownik);
end;

function TForm1.NowaPorada : String;
begin
  case Random(4) of
    0: Result := 'atwiej '+Fraza +', ni '+Fraza+'.';
    1: Result := 'Szybciej da si '+Fraza+', ni '+Fraza+'.';
    2: Result := 'Aby '+Fraza+', trzeba '+Fraza+'.';
    3: Result := 'eby '+Fraza+', musisz '+Fraza+'.';
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Randomize;
  rzeczownik := TStringList.Create;
  rzeczownik.LoadFromFile('rzecz.txt');
  przymiotnik := TStringList.Create;
  przymiotnik.LoadFromFile('przym.txt');
  czasownik := TStringList.Create;
  czasownik.LoadFromFile('czas.txt');
  okreslnik := TStringList.Create;
  okreslnik.LoadFromFile('okresl.txt');
  Button2.Click;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  rzeczownik.Free;
  przymiotnik.Free;
  czasownik.Free;
  okreslnik.Free;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  with Memo1 do
  begin
    Clear;
    Lines.Add('');
    Lines.Add('Czy wiesz, e...');
    Lines.Add('');
    Lines.Add(NowaPorada);
  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Close;
end;

end.
